MediaWiki:Dialogue.css

Revision as of 16:56, 29 August 2025 by ReinDevildom (talk | contribs) (Created page with "For content between [[Template:Dialogue Start]] and [[Template:Dialogue End]]: .page-content .dialogue, .article-content .dialogue { font-size: 15px; line-height: 20px; } .page-content .dialogue.no-indent, .article-content .dialogue.no-indent { margin-left: -27px; } .page-content .dialogue.left-line, .article-content .dialogue.left-line { border-left: 2px solid var(--theme-color-7); padding-left: 16px; display: block; } .page-content .dialogue dl :is(dd, dl...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* For content between [[Template:Dialogue Start]] and [[Template:Dialogue End]] */
.page-content .dialogue,
.article-content .dialogue {
	font-size: 15px;
	line-height: 20px;
}

.page-content .dialogue.no-indent,
.article-content .dialogue.no-indent {
	margin-left: -27px;
}

.page-content .dialogue.left-line,
.article-content .dialogue.left-line {
	border-left: 2px solid var(--theme-color-7);
	padding-left: 16px;
	display: block;
}

.page-content .dialogue dl :is(dd, dl dt),
.article-content .dialogue dl :is(dd, dl dt) {
	padding-left: 16px;
	margin-left: 0;
}

.page-content .dialogue dl,
.article-content .dialogue dl {
	margin-top: 3px;
	margin-bottom: 3px;
	margin-left: 11px;
	border-left: 2px solid var(--theme-color-7);
}

.page-content .dialogue > dl,
.page-content .dialogue td > dl,
.article-content .dialogue > dl,
.article-content .dialogue td > dl {
	margin-bottom: 10px;
	border-left: none;
}

.page-content .dialogue dt,
.article-content .dialogue dt {
	font-weight: normal;
	font-style: italic;
	font-size: .85em;
}

.page-content .dialogue dt i,
.article-content .dialogue dt i {
	font-style: normal;
}

/* [[Template:Black Screen]] */
.page-content .dialogue .black-screen-text,
.article-content .dialogue .black-screen-text {
	margin-bottom: 13px;
	margin-top: 13px;
}

/* Remove padding from dialogue in tables. */
.page-content td > div.dialogue > dl,
.article-content td > div.dialogue > dl {
	margin: 0;
}

.page-content td > div.dialogue > dl > dd,
.article-content td > div.dialogue > dl > dd,
.page-content td > div.dialogue > dl > dt,
.article-content td > div.dialogue > dl > dt {
	padding-left: 0;
}